<?php 

   $archivo='ver3.xls';

   $ext=array_pop(explode(".",$archivo));//obtenemos la extension del archivo

    if($ext!="xls" and $ext!="xlsx")//si no es un archivo de excel

        die("Debe enviar un archivo de excel (xls,xlsx)");

    else{

        require_once 'PHPExcel/IOFactory.php';

        if($ext=="xlsx")

  $objReader = PHPExcel_IOFactory::createReader('Excel2007');//si es excel 2007 cargamos su lector

        else

            $objReader = new PHPExcel_Reader_Excel5();//si no, cargamos el lector para archivos xls

        $objReader->setReadDataOnly(true);

        $objPHPExcel = $objReader->load("$archivo");

        $objWorksheet = $objPHPExcel->getActiveSheet(0);//indicamos que empezamos con la primer hoja

        $highestRow = $objWorksheet->getHighestRow(); //Leemos cuantas filas tiene e.g. 10

        if(!$highestRow)//si tiene 0 filas

die("El archivo de excel no contiene informacion o bien esta no es accesible");



///comenzamos a leer el archivo



//de la 3 a la 349 y 

//de la 525 a la 725



$highestRow=100;

        for ($row = 0; $row <= $highestRow; ++$row){

          

 /*if($objWorksheet->getCellByColumnAndRow(35, $row)->getValue()){	 

$a=$objWorksheet->getCellByColumnAndRow(35, $row)->getValue();

}else{$a='';}



if($objWorksheet->getCellByColumnAndRow(36, $row)->getValue()){

$b='-'.$objWorksheet->getCellByColumnAndRow(36, $row)->getValue();

}else{$b='';}



if($objWorksheet->getCellByColumnAndRow(37, $row)->getValue()){

$c='-'.$objWorksheet->getCellByColumnAndRow(37, $row)->getValue();

}else{$c='';}



   $d=$a.$b.$c;

  if($d!=''){

$query = mysql_query("insert into excel (id,datos) values('','$d')",$con)or die(mysql_error());

}else{}*/









if($objWorksheet->getCellByColumnAndRow(0, $row)->getValue()){

   $a=$objWorksheet->getCellByColumnAndRow(0, $row)->getValue();

   }else{$a='';}

   

   if($objWorksheet->getCellByColumnAndRow(1, $row)->getValue()){

    $b=utf8_decode($objWorksheet->getCellByColumnAndRow(1, $row)->getValue());

   }else{$b='';}

   

    if($objWorksheet->getCellByColumnAndRow(2, $row)->getValue()){

    $c=utf8_decode($objWorksheet->getCellByColumnAndRow(2, $row)->getValue());

   }else{$c='';}

   



echo $a.$b.$c."<br>";



        }

    }

	?>